import express from "express";
import passport from "passport";
const router = express.Router();

import * as calendarController from "../controllers/calendarController";
import logger from "../logger/logger";

router.get(
  "/auth/google",
  passport.authenticate("google", {
    accessType: "offline",
    scope: [
      "https://www.googleapis.com/auth/calendar.app.created",
      "https://www.googleapis.com/auth/calendar.events.freebusy",
    ],
  })
);

router.get(
  "/auth/google/callback",
  passport.authenticate(
    "google",
    passport.authenticate(
      "google",
      {
        successReturnToOrRedirect: "/",
        failureRedirect: "/login",
      },
      (err, user, info, req, res) => {
        logger.info("err", err);
        logger.info("user", user);
        logger.info("info", info);
        logger.info("req", req);
        logger.info("res", res);

        res.redirect("/");
      }
    )
  )
);

export default router;
/* "https://customerdashboard.ex.umbach.dev/store/calendar/failed" */

/* "https://customerdashboard.ex.umbach.dev/store/calendar/finish" */
